Environment Provisioning - Get Provisioning Languages
Gets the list of available languages for provisioning in a location.
Retrieves available languages for environment provisioning in a location.
GET https://api.powerplatform.com/environmentmanagement/provisioning/locations/{location}/languages?api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
location
|
path | True |
string |
The location name. |
|
api-version
|
query | True |
string |
The API version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK Media Types: "text/plain", "application/json", "text/json" |
|
| 400 Bad Request |
Bad Request Media Types: "text/plain", "application/json", "text/json" |
|
| 401 Unauthorized |
Unauthorized Media Types: "text/plain", "application/json", "text/json" |
|
| 403 Forbidden |
Forbidden Media Types: "text/plain", "application/json", "text/json" |
|
| 404 Not Found |
Not Found Media Types: "text/plain", "application/json", "text/json" |
|
| 429 Too Many Requests |
Too Many Requests Media Types: "text/plain", "application/json", "text/json" |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
| Name | Description |
|---|---|
|
Environment |
Represents a language available for environment provisioning. |
|
Environment |
A non-paginated collection of resources returned in full (no continuation token). Used for finite reference lists where partial results would be incorrect. |
|
Field |
The error detail for a single field. |
|
Operation |
Structured error detail for a failed request. |
|
Validation |
Represents the response for validation of an operation. |
EnvironmentLanguage
Represents a language available for environment provisioning.
| Name | Type | Description |
|---|---|---|
| isTenantDefault |
boolean |
Whether this is the tenant's default language. |
| localeId |
integer (int32) |
The locale identifier (LCID, for example, 1033 for English). |
| localizedName |
string |
The language name, localized for display. |
EnvironmentLanguageResourceCollection
A non-paginated collection of resources returned in full (no continuation token). Used for finite reference lists where partial results would be incorrect.
| Name | Type | Description |
|---|---|---|
| collection |
Represents a language available for environment provisioning. |
FieldError
The error detail for a single field.
| Name | Type | Description |
|---|---|---|
| errorMessages |
string[] |
The error messages describing what is wrong with the field. |
| suggestedValue |
string |
A suggested or accepted value that would resolve the error. |
OperationErrorDetail
Structured error detail for a failed request.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| fieldErrors |
<string,
Field |
Per-field error detail, keyed by field name. |
ValidationResponse
Represents the response for validation of an operation.
| Name | Type | Description |
|---|---|---|
| errorDetail |
Structured error detail for a failed request. |